Package skyview.geometry

# Class Position

java.lang.Object
skyview.geometry.Position

public class Position extends Object
This class represents a position in the sky. This class is used to pass a position that may be represented in different frames in different parts of a program. However since it creates CoordinateSystem objects for each transformation it should not be used to do coordinate transformations for large arrays of positions.

## Constructor Summary

Constructors
Constructor
Description
`Position(double l, double b)`
Define a position object in the standard (J2000) frame
`Position(double l, double b, String frame)`
Define a position object used a specified frame

## Method Summary

Modifier and Type
Method
Description
`String`
`formatted(String coords, int precision, boolean sexagesimal)`
`double[]`
`getCoordinates()`
Get the coordinates in the standard (J2000) frame.
`double[]`
`getCoordinates(String frame)`
Get the coordinates in a specified frame.
`static void`
`main(String[] args)`
Test the Position class

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Position

public Position(double l, double b) throws TransformationException
Define a position object in the standard (J2000) frame

Throws:
  `TransformationException`

### Position

public Position(double l, double b, String frame) throws TransformationException
Define a position object used a specified frame

Throws:
  `TransformationException`

## Method Details

### getCoordinates

public double[] getCoordinates() throws TransformationException
Get the coordinates in the standard (J2000) frame. Used to be called getPosition.

Throws:
  `TransformationException`

### getCoordinates

public double[] getCoordinates(String frame) throws TransformationException
Get the coordinates in a specified frame. Used to be called getPosition.

Throws:
  `TransformationException`

### formatted

public String formatted(String coords, int precision, boolean sexagesimal)

### main

public static void main(String[] args) throws Exception
Test the Position class

Throws:
  `Exception`